Summary: Foomatic printer database.
Name:		foomatic
Version:	1.1
%define release_date 20011018
Release:	0.%{release_date}.7
License:	GPL
Group: System Environment/Libraries

Source:		foomatic-%{release_date}.tar.bz2
Source1:	Omni-printers.tar.bz2
Patch1:		foomatic-prepend_scanner.patch
Patch2:		foomatic-use_utf8.patch

Url:		http://www.linuxprinting.org
BuildRequires:	perl
Requires:	perl
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	perl-Storable >= 0.6.11, perl-DateManip >= 5.39, perl-libxml-enno >= 1.02
Requires:	perl-libxml-perl >= 0.07, perl-Parse-Yapp >= 1.04, perl-XML-Dumper >= 0.4
Requires:	perl-XML-Encoding >= 1.01, perl-XML-Parser >= 2.29, perl-XML-Twig >= 2.02
Requires:	perl-XML-Grove, perl-libwww-perl
BuildRequires:	perl-Storable >= 0.6.11, perl-DateManip >= 5.39, perl-libxml-enno >= 1.02
BuildRequires:	perl-libxml-perl >= 0.07, perl-Parse-Yapp >= 1.04, perl-XML-Dumper >= 0.4
BuildRequires:	perl-XML-Encoding >= 1.01, perl-XML-Parser >= 2.29, perl-XML-Twig >= 2.02
BuildRequires:	perl-XML-Grove, perl-libwww-perl

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate driver description files and printer queues for CUPS, LPD,
LPRng, and PDQ using the database. There is also the possibility to
read the PJL options out of PJL-capable laser printers and take them
into account at the driver description file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).

The site http://www.linuxprinting.org/ is based in this database.

%prep

%setup -q -n foomatic
%patch1 -p1 -b .prepend_scanner
%patch2 -p1 -b .use_utf8

tar xjf %{SOURCE1}

%build
make PREFIX=%{_prefix} INSTALLPREFIX=%buildroot

%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installsitelib'`
mkdir -p $RPM_BUILD_ROOT/$installsitelib
export INSTALLSITELIB=$RPM_BUILD_ROOT/$installsitelib
make	PREFIX=%{_prefix} \
	INSTALLPREFIX=%buildroot \
	INSTALLSITELIB=$RPM_BUILD_ROOT/$installsitelib \
	install

# Install printers from the Omni project, if there isn't already an entry
cd Omni-printers;
P_DIR=$RPM_BUILD_ROOT/usr/share/foomatic/db/source/printer
for P in *.xml; do
	if [ ! -f $P_DIR/$P ]; then
		cp $P $P_DIR;
	fi;
done;
cd ..

mkdir -p $RPM_BUILD_ROOT/var/cache/foomatic/{pcache,compiled}

%post
# zap the cache
rm -rf /var/cache/foomatic/pcache/* /var/cache/foomatic/compiled/*

# Try to rebuild the printconf data
if [ -x /usr/sbin/printconf-backend ] ; then
   /usr/sbin/printconf-backend --force-rebuild > /dev/null 2> /dev/null
fi

# restart the print server if it is running now
if /sbin/service lpd status 2>&1 > /dev/null ; then
   /sbin/service lpd restart 2>&1 > /dev/null
fi

exit 0

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc README USAGE ChangeLog
%_bindir/*
%_sbindir/*
%_libdir/perl5/site_perl/*/Foomatic
%dir %_libdir/cups
%_libdir/cups/*
%dir /var/cache/foomatic
%_datadir/*

%changelog
* Mon Nov 26 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.7
- /var/chache => /var/cache, doh!

* Fri Nov 16 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1-0.20011018.6
- fix %%post scriptlet

* Tue Nov 13 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.5
- changed the patch to use the -Mutf8 command line option,
- and to restart the printserver, after rebuilding the settings.

* Fri Nov  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.4
- grumble. Some drivers use inline perl scripts, and need the 'use utf8;'
- pragma. Without it, they break on _some_ of their options.

* Wed Oct 31 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.3
- patched lpdomatic to prepend PostScript options in the _right_ place.

* Thu Oct 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.2
- zap the foomatic cache on install

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.1
- rolled to pull in latest information.
- added Omni printers to the printer list.

* Fri Oct 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011005.1
- rolled to pull in an ia64 fix to foomatic-combo-xml.c

* Mon Oct 01 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011001.1
- rolled to pull in foomatic fixes to foomatic-combo-xml.c

* Wed Sep 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010905.1
- upgraded to latest foomatic, we now have fast overview generation!
- this means that there is no prebuilt overview file.

* Tue Aug 28 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010828.1
- WOW! The latest foomatic uses Till Kamppeter's C based combo compiler.
- It is now fast enough that there is no real benifit to precompiling.
- NOTE: this forces the package to stop being noarched.

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010827.1
- fresh pull, maybe it fixes the build errors.

* Sat Aug 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010825.1
- did a fresh database pull, which contains the old japanese printers as well.
- removed japanese hack.

* Tue Aug 14 2001 Akira TAGOH <tagoh@redhat.com> 1.1-0.20010717.5
- Add Japanese printer entry.

* Mon Aug  6 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.4
- move the cache back to /var, sigh.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.2
- made foomatic pre-compute its db

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.1
- imported from mandrake.

* Tue Jul 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010717mdk
- Added job listing/removal/manipulation and queue control to
  foomatic-printjob
- Support for printing multiple copies with PDQ

* Fri Jul 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010714mdk
- Included the cupsomatic filter script
- When a queue is set up, default options can be set now
- Help messages of foomatic-configure and foomatic-printjob cleaned up.

* Fri Jul 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010713mdk
- Many bugfixes in "foomatic-printjob".
- "foomatic-configure" adds the Foomatic config file directory automatically
  to the search paths of PDQ.
- Printing a help page under PDQ was broken.

* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1-0.20010712mdk
- BuildRequires:	perl-devel

* Wed Jul 11 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010711mdk
- initial release.
- Deleted the obsolete drivers "stp", "cZ11", and "hpdj".
- Patch applied which flushes the memory cache regularly, otherwise
  foomatic-configure would hang when the Foomatic data of GIMP-Print is
  installed. 
